<div *ngIf="libro" style="text-align: center;" xmlns="http://www.w3.org/1999/html">
  <h1 class="text-center">{{libro.titulo}}</h1>
  <img src="assets/{{libro.titulo}}.jpg" alt="Imagen" width="300px" height="auto"
       style="margin: 0 auto;"/>
  <p><b>Autor:</b> {{libro.autor}}<br>
    <b>Género(s):</b> {{libro.genero}}<br>
    <b>Fecha de publicación / creación:</b> {{libro.fechaCreacion}}<br>
    <b>¿Prestado?: </b> <span *ngIf="libro.prestado==false">No</span> <span *ngIf="libro.prestado==true">Sí</span>
  </p>
  <mat-button-toggle-group name="fontStyle" aria-label="Font Style">
    <mat-button-toggle value="bold" routerLink="editLibro">Editar</mat-button-toggle>
    <div *ngIf="!libro.prestado">
      <mat-accordion>
        <mat-expansion-panel>
          <mat-expansion-panel-header>
            <mat-panel-title>
              Prestar
            </mat-panel-title>
          </mat-expansion-panel-header>

          <mat-form-field>
            <mat-select placeholder="Usuario a prestar">
              <mat-option value="none">- - -</mat-option>
              <div *ngFor="let socio of socios">
                <mat-option (click)="confirmar(socio)">{{socio.nickname}}</mat-option>
              </div>
            </mat-select>
          </mat-form-field>

        </mat-expansion-panel>
      </mat-accordion>
    </div>
    <mat-button-toggle value="underline" (click)="eliminar(libro, idLibro)">Eliminar</mat-button-toggle>
  </mat-button-toggle-group>
  <br>
  <button class="btn btn-danger" style="margin-top: 15px;" routerLink="../../">Volver</button>

</div>
